import sys
import os
from pathlib import Path

def define_python_interpreter(python_path=None, conda_env=None):
    conda_base = "module load Anaconda3\nconda activate {conda_env}"
    venv_base = "source {python_path}"

    if conda_env is not None:
        env =  conda_base.format(conda_env=conda_env)
    elif python_path is not None:
        parent = Path(python_path).absolute().parent
        env =  venv_base.format(python_path=parent.joinpath('activate'))
    else:
        conda_env = os.environ.get('CONDA_PREFIX')
        if conda_env:
            env =  conda_base.format(conda_env=conda_env)
        else:
            parent = Path(sys.executable).absolute().parent
            env =  venv_base.format(python_path=parent.joinpath('activate'))
    return env